# rhbk-themes

Custom Themes for Red Hat build of Keycloak - in use at [accounts.nick-slowinski.de](https://accounts.nick-slowinski.de/) and especially for the [nick-slowinski.de realm](https://accounts.nick-slowinski.de/realms/nick-slowinski_de/account/.).


This theme is for [Red Hat build of Keycloak v24](https://access.redhat.com/products/red-hat-build-of-keycloak) - which requires a free Red Hat Developer Subscription or an equivalent paid subscription (Red Hat Runtimes; Red Hat OpenShift Container Platform (OCP); or any Red Hat subscription that includes them, e.g. Red Hat Application Foundation (RHAF), Red Hat OpenSift Platform Plus (OPP)). Development and deployment on the upstream Keycloak version is neither tested nor supported. It's likely to work, but not guaranteed.

## Development

When running the server in development mode using `start-dev`, themes are not cached so that you can easily work on them without a need to restart the server when making changes.

See the theme section in the [Server Developer Guide](https://www.keycloak.org/docs/latest/server_development/#_themes) for more details about how to create custom themes.

### Overriding the built-in templates

While creating themes, especially when overriding templates, it may be useful to use the built-in templates as a reference. These can be found within the theme directory of `../lib/lib/main/org.keycloak.keycloak-themes-24.0.3.redhat-00004.jar`, which can be opened using any standard ZIP archive tool.

## Deployment

Custom themes packaged in a JAR file should be deployed to the `${rhbk.home.dir}/providers` directory. After that, run the `build` command to install them before starting the server.

You are also able to deploy the themes in the 'theme' folder directly. Themes within this directory do not require the `build` command to be installed.

## Licensing and Recognition

* [Apache License, Version 2.0](https://www.apache.org/licenses/LICENSE-2.0)

| File location in this repository     | Origin                                                                                                                           |
|--------------------------------------|----------------------------------------------------------------------------------------------------------------------------------|
| nick-slowinski_de/account/messages/* | https://github.com/keycloak/keycloak/tree/24.0.3/js/apps/account-ui/maven-resources-community/theme/keycloak.v3/account/messages |
| nick-slowinski_de/login/messages/*   | https://github.com/keycloak/keycloak/tree/24.0.3/themes/src/main/resources-community/theme/base/login/messages                   |